## unifont 8.0.01

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 GZFLAGS = -f -9 -n
 
 PACKAGE = "unifont"
-UNICODE_VERSION = 7.0
-PKG_REV = 06
+UNICODE_VERSION = 8.0
+PKG_REV = 01
 VERSION = $(UNICODE_VERSION).$(PKG_REV)
 
 #
