=== debian/changelog ===
unifont (1:8.0.01-1) unstable; urgency=medium

  * Update to support Unicode 8.0.0.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 27 Jun 2015 07:45:44 -0700

unifont (1:7.0.06-1) unstable; urgency=medium

  * debian/control:
    - Updated to Standards Version 3.9.6.
    - Added "libgd-perl" to Depends, Build-Depends, and Build-Depends-Indep
      entries for "libgd-gd2-noxpm-perl | libgd-gd2-perl".  The unihex2png
      utility program that creates graphics images of each block of 256 code
      points is invoked during the creation of font/compiled, with the "png:"
      target; it requires the Perl GD library when run during building.
    - Set priority of unifont-bin to "extra" because three Perl scripts
      (unihex2png, unipng2hex, and unifont-viewer) require libgd-perl (or
      the related libgd-gd2-perl or libgd-gd2-noxpm-perl) to run, and those
      Perl library packages have priority "extra".

 -- Paul Hardy <unifoundry@unifoundry.com>  Thu, 23 Oct 2014 16:48:36 -0700

unifont (1:7.0.05-1) unstable; urgency=medium

  * debian/control:
    - Removed psf-unifont Depends entry for console-setup;
      it is not needed.
    - Added alternate package dependency of libgd-gd2-perl to
      libgd-gd2-noxpm-perl so this package will build on Ubuntu
      and its derivatives.
  * debian/copyright: corrected spelling of Umbreon126.
  * debian/patches: Removed directory; patch was applied to upstream source.
  * Note: there was no 1:7.0.04 release because of a bug in that version's
    font/plane01/Makefile, which made the package fail to build on a
    system that did not have unihexfill already installed.

 -- Paul Hardy <unifoundry@unifoundry.com>  Fri, 17 Oct 2014 18:13:04 -0700
