=== debian/control ===
Source: unifont
Section: fonts
Priority: optional
Maintainer: Paul Hardy <unifoundry@unifoundry.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf,
 libgd-perl | libgd-gd2-perl | libgd-gd2-noxpm-perl
Standards-Version: 3.9.6
Homepage: http://unifoundry.com

Package: unifont
Architecture: all
Depends: xfonts-unifont, ttf-unifont, psf-unifont, xfonts-utils, ${misc:Depends}
Replaces: unifont-bin (<< 1:5.1.20080706-1)
Suggests: unifont-bin
Description: font with a glyph for each visible Unicode Plane 0 character
 This package is a convenient way to install both the PCF bitmap
 version and the scalable TrueType outline version of "Unifont"
 (intended for general-purpose use) and "Unifont Sample" (which contains
 combining circles to use for illustration purposes).  It also installs
 a copy of unifont.hex and related files in /usr/share/unifont.
 .
 GNU Unifont was designed to render something besides an empty box
 for each visible Unicode character in the Basic Multilingual Plane
 (Plane 0).  Plane 0 contains most of the world's modern writing
 scripts.  This font looks best at 12pt.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters
 change shape depending on their position in a word, or such as
 Mongolian, which is written vertically) will not render perfectly.
 The philosophy behind this font, though, is that anything meaningful
 is better than an empty box for a unknown glyph.

Package: xfonts-unifont
Architecture: all
Depends: xfonts-utils, ${misc:Depends}
Replaces: unifont (<< 1:5.1.20080706)
Conflicts: unifont (<< 1:5.1.20080706)
Suggests: ttf-unifont
Description: PCF (bitmap) version of GNU Unifont
 This contains two fonts: "Unifont" (unifont.pcf.gz) and
 "Unifont Sample" (unifont_sample.pcf.gz).
 .
 This is a bitmap version of Unifont and Unifont Sample in a
 standard X11 format.  The fonts provide a glyph for each visible
 code point (character) in the Unicode Basic Multilingual Plane
 (Plane 0).  Plane 0 contains most of the world's modern writing
 scripts.  These fonts look best at 12pt.
 .
 Unifont Sample contains combining circles for combining characters,
 and so is suited for illustrating individual Unicode glyphs, whereas
 Unifont is intended for general-purpose writing.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters
 change shape depending on their position in a word, or such as
 Mongolian, which is written vertically) will not render perfectly.
 The philosophy behind Unifont, though, is that anything meaningful
 is better than an empty box for a unknown glyph.
 .
 Consider using the TrueType version instead (ttf-unifont), because
 that version is scalable to any point size and has proper combining
 character support.

Package: ttf-unifont
Architecture: all
Depends: xfonts-utils, ${misc:Depends}
Description: TrueType version of GNU Unifont
 This contains two fonts: "Unifont" and "Unifont Sample".
 .
 unifont.ttf is a bitmap font converted into a scalable TrueType
 outline font, Unifont.  Each pixel in the original bitmap font
 is represented as an outlined square.  The font provides a glyph
 for each visible code point (character) in the Unicode Basic
 Multilingual Plane (Plane 0).  Plane 0 contains most of the
 world's modern writing scripts.  This font looks best at 12pt.
 .
 unifont_sample.ttf is an SBIT font that contains combining circles
 and is therefore suitable for illustrating individual Unicode glyphs.
 unifont.ttf does not contain combining circles and so is suitable
 for general-purpose writing.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters
 change shape depending on their position in a word, or such as
 Mongolian, which is written vertically) will not render perfectly.
 The philosophy behind this font, though, is that anything meaningful
 is better than an empty box for a unknown glyph.

Package: psf-unifont
Architecture: all
Depends: bdf2psf, ${misc:Depends}
Suggests: ttf-unifont
Description: PSF (console) version of GNU Unifont with APL support
 This contains a PSF font (Unifont-APL8x16.psf) as a console frame
 buffer font with a subset of Unifont for use with GNU APL and other
 APL implementations.  The font is installed in "/usr/share/consolefonts/".
 This PSF font is only suitable for running in console mode, not under the
 X Window System.
 .
 A PSF font allows a maximum of 512 glyphs.  The glyph subset in this
 font includes ASCII, Latin-1, "oe" and "OE" ligatures for French, the
 Euro sign, Unicode Box Drawing, Unicode Block Elements, plus various
 glyphs for APL support and some other miscellaneous glyphs.  The font
 is monospaced, 8 pixels wide by 16 pixels tall.
 .
 Consider using the TrueType version instead (ttf-unifont) if you are
 not running in console mode, because that version is scalable to any
 point size and has proper combining character support.

Package: unifont-bin
Section: x11
Priority: extra
Architecture: any
Depends: xfonts-utils, fontforge, ${shlibs:Depends}, ${misc:Depends},
 ${perl:Depends}, libwx-perl,
 libgd-perl | libgd-gd2-perl | libgd-gd2-noxpm-perl
Suggests: unifont, texinfo
Description: utilities for manipulating GNU Unifont
 This is a set of Perl scripts, C programs, and FontForge scripts
 to manipulate Roman Czyborra's GNU Unifont ".hex" format font
 files.  GNU Unifont has a Unicode-compatible font structure.
 These utilities allow editing ".hex" fonts with text and
 graphical editors, producing final versions of fonts in BDF,
 PCF, TrueType SBIT, and TrueType outline formats.
 .
 To build the TrueType fonts, install the package 'fontforge'.
 To build the PCF fonts, use 'bdftopcf', which is in the
 'xfonts-utils' package.  To obtain the font sources, run
 'apt-get source unifont'.
